package api

import "github.com/gogf/gf/v2/frame/g"

type FundListReq struct {
	g.Meta   `path:"/fund/list" method:"get" tags:"基金相关" summary:"获取基金列表"`
	Page     int `p:"page" d:"1" v:"required"`
	PageSize int `p:"page_size" d:"20" v:"required"`
}

type FundDetailReq struct {
	g.Meta `path:"/fund/detail" method:"get" tags:"基金相关" summary:"获取特定基金详情"`
	FundId string `p:"fund_id" v:"required#基金id缺失"`
}
