package controller

import (
	"context"
	"gof_ppw_api/api"
	"gof_ppw_api/internal/service"
)

var Fund = new(FundController)

type FundController struct{}

// List 基金列表
func (p *FundController) List(ctx context.Context, req *api.FundListReq) (res *api.CommonRes, err error) {
	return
}

// Detail 基金详情
func (p *FundController) Detail(ctx context.Context, req *api.FundDetailReq) (res api.CommonRes, err error) {
	data, err := service.Fund.Detail(ctx, req.FundId)
	//g.RequestFromCtx(ctx).Response.WriteJson(data)
	res = api.CommonRes{
		Data: data,
	}
	return
}
